<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idltype.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idltype</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../IDL.html" >IDL</a>.idltype

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="idltype/Error.html" >Error</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Error" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line92" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception class used by IdlType internals.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Type.html" >Type</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line102" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Type abstract class.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Base.html" >Base</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Base" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line130" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for CORBA base types.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/String.html" >String</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.String" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line156" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for string types &#40;Type&#41;

Function:

  bound&#40;&#41; -- bound of bounded string.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/WString.html" >WString</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.WString" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line170" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for wide string types &#40;Type&#41;

Function:

  bound&#40;&#41; -- bound of bounded wstring.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Sequence.html" >Sequence</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Sequence" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line191" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for sequence types &#40;Type&#41;

Functions:

  seqType&#40;&#41; -- Type this is a sequence of.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Fixed.html" >Fixed</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line211" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for fixed point types &#40;Type&#41;

Functions:

  digits&#40;&#41; -- digits.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Declared.html" >Declared</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Declared" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line232" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for declared types &#40;Type&#41;

Functions:

  decl&#40;&#41;       -- Decl object which corresponds to this type.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idltype.html#containsValueType" >containsValueType</a></span>(<span class="variable">t</span>, <span class="variable">track</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.containsValueType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line266" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="baseType">baseType</a>(<span class="variable">kind</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.baseType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line351" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="stringType">stringType</a>(<span class="variable">bound</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.stringType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line354" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="wstringType">wstringType</a>(<span class="variable">bound</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.wstringType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line362" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="sequenceType">sequenceType</a>(<span class="variable">type_spec</span>, <span class="variable">bound</span>, <span class="variable">local</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.sequenceType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line370" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="fixedType">fixedType</a>(<span class="variable">digits</span>, <span class="variable">scale</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.fixedType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line378" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="declaredType">declaredType</a>(<span class="variable">decl</span>, <span class="variable">scopedName</span>, <span class="variable">kind</span>, <span class="variable">local</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.declaredType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line386" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idltype.html#clear" >clear</a></span>()  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.clear" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line396" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_null">tk_null</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line52" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_void">tk_void</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line53" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_short">tk_short</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line54" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_long">tk_long</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line55" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_ushort">tk_ushort</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line56" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_ulong">tk_ulong</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line57" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_float">tk_float</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line58" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_double">tk_double</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line59" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_boolean">tk_boolean</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line60" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_char">tk_char</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line61" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_octet">tk_octet</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_any">tk_any</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line63" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_TypeCode">tk_TypeCode</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line64" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_Principal">tk_Principal</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line65" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_objref">tk_objref</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line66" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_struct">tk_struct</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line67" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_union">tk_union</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line68" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_enum">tk_enum</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line69" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_string">tk_string</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line70" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_sequence">tk_sequence</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line71" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_array">tk_array</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line72" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_alias">tk_alias</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line73" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_except">tk_except</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line74" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_longlong">tk_longlong</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line75" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_ulonglong">tk_ulonglong</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line76" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_longdouble">tk_longdouble</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line77" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_wchar">tk_wchar</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line78" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_wstring">tk_wstring</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line79" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_fixed">tk_fixed</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line80" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_value">tk_value</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line81" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_value_box">tk_value_box</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line82" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_native">tk_native</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line83" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_abstract_interface">tk_abstract_interface</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line84" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tk_local_interface">tk_local_interface</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line85" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="ot_structforward">ot_structforward</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line88" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="ot_unionforward">ot_unionforward</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line89" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="baseTypeMap">baseTypeMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line315" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="stringTypeMap">stringTypeMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line337" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="wstringTypeMap">wstringTypeMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line338" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="sequenceTypeMap">sequenceTypeMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line341" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="fixedTypeMap">fixedTypeMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line344" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="declaredTypeMap">declaredTypeMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line347" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="idltype/Error.html" >Error</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Error" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line92" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception class used by IdlType internals.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Type.html" >Type</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line102" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Type abstract class.

Function:

  kind&#40;&#41;          -- TypeCode kind of type.
  unalias&#40;&#41;       -- Return an equivalent Type object with aliases stripped
  accept&#40;visitor&#41; -- visitor pattern accept. See idlvisitor.py.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Base.html" >Base</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Base" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line130" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for CORBA base types. &#40;Type&#41;

No non-inherited functions.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/String.html" >String</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.String" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line156" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for string types &#40;Type&#41;

Function:

  bound&#40;&#41; -- bound of bounded string. 0 for unbounded.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/WString.html" >WString</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.WString" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line170" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for wide string types &#40;Type&#41;

Function:

  bound&#40;&#41; -- bound of bounded wstring. 0 for unbounded.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Sequence.html" >Sequence</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Sequence" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line191" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for sequence types &#40;Type&#41;

Functions:

  seqType&#40;&#41; -- Type this is a sequence of.
  bound&#40;&#41;   -- bound of bounded sequence. 0 for unbounded.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Fixed.html" >Fixed</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line211" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for fixed point types &#40;Type&#41;

Functions:

  digits&#40;&#41; -- digits.
  scale&#40;&#41;  -- scale.</div></div>
<div class="item"><div class="synopsis">class <a href="idltype/Declared.html" >Declared</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Declared" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line232" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for declared types &#40;Type&#41;

Functions:

  decl&#40;&#41;       -- Decl object which corresponds to this type.
  scopedName&#40;&#41; -- Fully scoped name of the type as a list of strings.
  name&#40;&#41;       -- Simple name of the type.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="containsValueType">containsValueType</a>(<span class="variable">t</span>, <span class="variable">track</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.containsValueType" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line266" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns true if the type contains valuetypes</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="clear">clear</a>()  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.clear" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line396" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Clear back-end structures ready for another run</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
